Summary: DBD Msql and Mysql perl modules
Name: perl-DBD-msql-mysql
Version: 1.2214
Release: 1
Copyright: distributable
Packager: Antti Andreimann <Antti.Andreimann@mail.ee>
Group: Utilities/CPAN
Source: ftp.perl.com:/CPAN/modules/by-module/DBD/Msql-Mysql-modules-%{version}.tar.gz
URL: http://www.mysql.com/
Icon: mysql.gif
Requires: perl >= 5.004 perl-DBI >= 0.93
Provides: MySQL-DBI-perl-bin mysql-DBI-perl-bin
Obsoletes: mysql-DBI-perl-bin
BuildRoot: /var/tmp/%{name}-%{version}-buildroot/


%description
This package contains mSQL and MySQL drivers for perl database inerface (DBI).
Note that the location of perl module directories vary from version to 
version so you should rebuild the source RPM if perl is unable to find 
the modules. The package also provides meta packages that are required 
by MySQL-bench RPMS.

Install this package if you need to use mSQL or MySQL databases from perl 
scripts. 


%prep
%setup -n Msql-Mysql-modules-%{version}

%build
[ -z $MYSQL_HOME ]	&& export MYSQL_HOME=/usr
[ -z $MSQL_HOME ]	&& export MSQL_HOME=/usr/lib/Hughes

# Configure the package
opts="--noprompt"
[ -f $MYSQL_HOME/include/mysql/mysql.h ] || opts="$opts --nomysql-install"
[ -f $MSQL_HOME/include/msql.h ] 	 || opts="$opts --nomsql-install"
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL $opts

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install
find $RPM_BUILD_ROOT/usr -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Thu Aug 03 2000 Antti Andreimann <Antti.Andreimann@mail.ee>
- Migrated to version 1.2214
- Changed spec to use Makefile.PL command line arguments instead of input file

* Tue Mar 07 2000 Antti Andreimann <Antti.Andreimann@mail.ee>
- Migrated to version 1.2210

* Thu Feb 17 2000 Antti Andreimann <Antti.Andreimann@mail.ee>
- Migrated to version 1.2209
- Changed spec file to automatically detect installed DBMS-es and 
  configure the package accordingly.
- Changed spec file to honour user specified DBMS install paths (via env).

* Wed Jun  2 1999 Antti Andreimann <Antti.Andreimann@mail.ee>
- Packaged this stuff
